Results 1 to 9 of 9

Thread: KODI 15.X problems on SUSE 13.X and Intel or ATI graphics cards

  1. #1

    Default KODI 15.X problems on SUSE 13.X and Intel or ATI graphics cards

    I've installed Kodi 15.1 on my desktop system and REVO settop boxes (nVIDIA GPU) without problem on SUSE 13.1/2, however when I try installing it on my laptop (Lenovo Z50 Core i7) using the Intel GPU, or the nVIDIA GPU via optirun, or try it on my kids' old ACER laptops with ATI 3200HD GPUs, it immediately bombs out with a segfault. The error log shows nothing pertinent other than a comment near the beginning:

    NOTICE: WARNING: unsupported ffmpeg version detected.

    I've tried cranking up the debug level and checking the web for pertinent posts, but can't see anyone getting the same problem.

    Has anyone else seen similar problems and know of a fix?

    Gordon

  2. #2
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,749

    Default Re: KODI 15.X problems on SUSE 13.X and Intel or ATI graphics cards

    DO NOT use the regular nvidia driver on an optimus system. Optimus is a hybrid Intel+NVIDIA mishmash and the normal NVIDIA driver will break things. Follow instructions here exactly but first be sure to totall remove all normal nvidia packages

    https://en.opensuse.org/SDB:NVIDIA_Bumblebee

    You should be able to boot to recover mode (advanced section in grub menu) I Yast -software management search for nvidia uninstall any package that has nvidia in the name (should be 5) Then follow the above instructions exactly. Don't improvise or follow random suggestion from random web pages


    Note you may not get to a GUI if you run gnome desktop try another one from the login screen or boot to terminal and run yast from command line

    You tried what with an ATI system. NVIDIA driver obviously won't work you may need the ATI drive but this is a different problem If the machine is hybrid Intel+ATI GPU the normal ATI driver will handle it.

  3. #3

    Default Re: KODI 15.X problems on SUSE 13.X and Intel or ATI graphics cards

    I think perhaps you've misunderstood my problem. I don't have any issues with the graphics drivers in general on either the ATI or Intel/nVidia Bumblebee systems, those bumblebee instructions you mention are exactly the one I followed and my Lenovo is running fine, and can run glxgears and glxspheres for example without problem, and they correctly identify that they're either running against the Intel GPU or nVIDIA GPU depending on whether I use optirun or not, so that's not the problem.

    The only problem I'm having is running KODI 15.X on either the Lenovo system (in either Intel or nVIDIA setup) or on an ATI HD 3200 system.

    And as I mentioned, I get exactly the same error on the ATI HD 3200 systems as the Intel / Bumblebee basically I can't get Kodi 15.X to run on anything other than nVidia GPUs.

    Cheers
    Gordon

  4. #4
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,749

    Default Re: KODI 15.X problems on SUSE 13.X and Intel or ATI graphics cards

    With Bumblebee you use either

    optirun program-name

    or

    primusrun program-name

    to use the NVIDIA card

    ATI hybrids can be switched with the settings program

  5. #5

    Default Re: KODI 15.X problems on SUSE 13.X and Intel or ATI graphics cards

    I'm definitely not explaining this well enough.

    I know how to use optirun etc., that's not the problem, KODI is!

    The problem is that I have 3 otherwise perfectly functional laptops.

    1 Lenovo Z50 which has Intel/nVidia Bumblebee technology.
    2 Acer 5535 which have ATI HD 3200 chipsets.

    With all of them, KODI crashes with a segfault without letting me into the KODI menus. I occasionally see a splash screen, but not always.

    On my other systems (handbuilt desktop with GeForce 210, and ACER REVO 3600 boxes with nVIDIA GPU) KODI works fine.

    The conclusion I've come to is that there is some issue with running the current KODI 15.X packages from packman on SuSE 13.X with anything other than a plain nVidia GPU.

    To reiterate for the purpose of clarity, I have no problems with the GPU setup other than with KODI, everything works fine and I am aware of how to use the Bumblebee setup, it just doesn't work for KODI.

    Cheers
    Gordon

  6. #6
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,749

    Default Re: KODI 15.X problems on SUSE 13.X and Intel or ATI graphics cards

    I guess KODI may be broken but just for the heck of it show us how you actually call the program on the broken systems

  7. #7
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,868
    Blog Entries
    14

    Default Re: KODI 15.X problems on SUSE 13.X and Intel or ATI graphics cards

    Mind, this is on Tumbleweed, but the same KODI. Doesn't crash here, actually it runs fine, both on the Intel and the NVIDIA in my laptop. Also fine on 13.2 on my server/workstation with NVIDIA card + drivers. Tested on nouveau, also fine. Seems like there's something else going wrong on your systems.

    Have a look at the last lines in KODI's logfile:
    Code:
    tail -30 ~/.kodi/temp/kodi.log
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  8. #8

    Default Re: KODI 15.X problems on SUSE 13.X and Intel or ATI graphics cards

    I did consider that, so wiped the systems with a fresh 13.2 install and installed only KODI and it's dependencies plus the Mesa Demo stuff so that I have the likes of glxgears to test that OpenGL is working in general.

    I've now extended the testing to another system (Dell Inspiron Mini 10) which is using the i915 driver for the integrated Atom GPU, KODI works fine on this out of the box.

    So now what I have is:

    System GPU/driver OpenGL/Shader KODI 15.1-1.14
    Status
    Bespoke Desktop GeForce 210/nvidia 340.93 3.3/3.3 Works
    Dell Inspiron Mini Atom Integrated/i915 driver 2.1/1.2 Works
    Acer Aspire 5535 ATI RADEON HD 3200/radeon 3.0/1.3 Fails
    Lenovo Z50-70 Intel HD 4400/intel 3.0/1.3 Fails
    Lenovo X50-70 GeForce 820M/nvidia-bumblebee 4.5.0/4.50 Fails

    The kodi.log files show no error when the application crashes, all I get is the following error message on the command line:

    /usr/bin/kodi: line 165: 3580 Segmentation fault (core dumped) "$LIBDIR/${bin_name}/${bin_name}.bin" $SAVED_ARGS

    I wondered if it might be lower OpenGL versions that was causing the problem, but the Dell Inspiron Mini works fine with lower version numbers than any of the other machines, so that would seem to rule out that being the issue.

    For all systems I'm simply typing in "kodi" at the command line other than on the Lenovo where I've also tried "optirun kodi" and "primusrun kodi" in an attempt to use the nVidia bumblebee features.

    Cheers
    Gordon

  9. #9

    Default Re: KODI 15.X problems on SUSE 13.X and Intel or ATI graphics cards

    Simply typing "kodi" at the command prompt, or when trying to use the nvidia bumblebee functionality "optirun kodi" or "primusrun kodi".

    All result in a core dump on the non "plain" nVidia systems.

    I've also now tried on an Atom powered laptop and it also works fine, see my other reply for that.

    Cheers
    Gordon

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •